#
# spec file for package CuraEngine
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cura-engine
Version:        2.7.0
Release:        0
Summary:        3D printer control software
License:        AGPL-3.0
Group:          Applications/Engineering
Url:            http://github.com/Ultimaker/CuraEngine
Source0:        https://github.com/Ultimaker/CuraEngine/archive/%{version}/CuraEngine-%{version}.tar.xz
Source1:        CuraEngine.1
Patch1:         fix-build.patch
# On TW/Factory or Leap/SLE 15 use latest gcc, gcc5 otherwise
%if 0%{?suse_version} <= 1320
BuildRequires:  gcc5-c++
%else
BuildRequires:  gcc-c++ >= 5
%endif
BuildRequires:  cmake
BuildRequires:  libArcus-devel

%description
CuraEngine is the a powerful, fast and robust engine for processing 3D models
into 3D printing instruction for Ultimaker and other GCode based 3D printers.
It is part of the larger open source project called "Cura".

%prep
%setup -q -n CuraEngine-%version
%patch1 -p1

%build
%if 0%{?suse_version} <= 1320
export CXX="g++-5"
export CC="gcc-5"
%endif
%cmake -DCMAKE_POSITION_INDEPENDENT_CODE="true"
make %{?_smp_mflags}

%install
cd build
%make_install

install -Dm0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/CuraEngine.1
# hack... not ready for the distro
install -Dm0755 lib_CuraEngine.so %{buildroot}%{_libdir}/lib_CuraEngine.so

%files
%defattr(-,root,root,-)
%_bindir/CuraEngine
%_libdir/lib*
%_mandir/man1/CuraEngine.1*

%changelog
